## 关键词

爱快 IKUAI 防火墙 ACL 封禁 恶意IP 限制 来源IP 访问IP SSH WEBUI 远程控制 RDP Fail2BAN

## 背景

我们转发了端口到公网的人都会面临一个难题，比如转发Windows的远程控制RDP，比如NAS的SSH服务或者其他WEBUI服务，老是有许多恶意IP来探测并尝试爆破。诚然，比如群晖会自带防火墙，Linux也可以使用fail2ban或者其他防火墙来实现自动封禁恶意IP，这些都是有效的手段。

之前，我使用`fail2ban`来实现自动封禁恶意IP，后来发现每天都会在几十个IP被封禁，一段时间以后，当`fail2ban`的封禁数量上千后，由于机器性能差，`fail2ban`竟然占用了好多资源。后来换爱快按下载流程设置后，`fail2ban`清静了好多，机器性能也恢复了。而像把Windows的远程桌面端口转发出去，无论你是不是用的3389端口，可能每天都会有IP进行几万次爆破尝试。

不过这里想要说明的是，以爱快作为主路由时一个更好的保护方式，就是充分利用爱快的IP分组，结合端口转发功能或ACL功能来实现。当然，这只是保护措施的一种，最重要的，不要使用弱密码，不要使用默认密码，SSH使用私钥而非密码等等。

## 流程

1. 下载（或者点击文件右上角的`Copy raw content`按钮复制下来保存为`csv`文件） [这个](https://github.com/devome/files/blob/master/ikuai/ipgroup.csv) 文件（不定期更新），在爱快设置中 `网络设置 -> 终端分组设置 -> IP分组`处导入。

2. 限制访问来源

    方式1：使用`安全设置 -> ACL规则`（需要先设置好端口转发，使用ACL时，端口转发可以不限制任何来源），参考下面的方式，允许你所在地区的对应的运营商的IP转发到你所使用的端口（`目的地址`可以不填，如果要填可以填端口转发对应的目标设备IP，也可以填整个本地网络，如`10.0.0.0/8`、`172.16.0.0/16`或`192.168.0.0/24`，`连接方向匹配`为`原始方向`），而阻断其他所有IP访问对应的端口。

    ![IPv4设置ACL](setting1.png)

    方式2：某些旧版本爱快的ACL功能可能是失效的（你可以自行测试，比如阻断你所在省份后手机使用蜂窝网访问），这时只能在`网络设置 -> 端口映射 -> 端口映射`处，给每一条需要限制访问来源IP的条目选择对应的IP分组。

    ![IPv4设置端口转发限制来源](setting2.png)

## 说明

1. ACL功能失效的时候，使用端口映射功能来限制时，每一条需要限制访问来源的条目需要分别设置，所以需要限制的端口和不需要限制的端口需要分成两条；
2. 需要限制访问来源的服务一般是WEBUI、RDP、SSH等（基本上都是tcp协议），像BT/PT软件（uTorrent, qBittorrent, transmission, deluge等等）等P2P的监听端口（tcp+udp协议）就不要限制访问来源IP；
3. 爱快路由器自己的WEBUI端口不要限制，要不然万一你IP不在允许范围内，改都都不了；
4. 建议允许访问的来源IP都选上`未知`的IP分组，尤其是中国移动，除了选择你所在省份，一定要选上`未知移动`。

## IPv6

IPv6的ACL设置请在 [这里](https://www.jianshu.com/p/c762ead45eb2) 查看。

## 数据来源

IPv4的分组数据来自 [ip2region](https://github.com/lionsoul2014/ip2region)，同时你也可以使用纯真IP数据库来更新。

> 纯真(CZ88.NET)自2005年起一直为广大社区用户提供社区版IP地址库，只要获得纯真的授权就能免费使用，并不断获取后续更新的版本。如果有需要免费版IP库的朋友可以前往纯真的官网进行申请。

> 纯真除了免费的社区版IP库外，还提供数据更加准确、服务更加周全的商业版IP地址查询数据。纯真围绕IP地址，基于 网络空间拓扑测绘 + 移动位置大数据 方案，对IP地址定位、IP网络风险、IP使用场景、IP网络类型、秒拨侦测、VPN侦测、代理侦测、爬虫侦测、真人度等均有近20年丰富的数据沉淀。
